import { ITreeNodeModel } from '@zeedhi/common';
import { NodeType } from '@/services/AclLabels/NodeType';

export class NodeTypeService {
	public static getNodeTypeLabel(type: string): string {
		const colors: any = {
			MENU: 'Menu',
			RULE: 'Regra',
			GROUPED: 'Agrupador',
		};

		return colors[type];
	}

	public static getNodeTypeColor(type: string): string {
		const colors: any = {
			MENU: 'red darken-1',
			RULE: 'green darken-2',
			GROUPED: 'blue-grey lighten-1',
		};

		return colors[type];
	}

	public static nodeTypeIsGrouped(node: ITreeNodeModel<any>): boolean {
		return node.data.type === NodeType.grouped;
	}

	public static nodeTypeIsRule(node: ITreeNodeModel<any>): boolean {
		return node.data.type === NodeType.grouped;
	}
}
